<map version="docear 1.1" dcr_id="1608048027328_885tff80szwyq1yqdt5vhfyr0" project="176655C65742CX71RRQ5NM3E52RRKIFI8ZG1" project_last_home="file:/home/yassine/Developpement/projects/3ilmaa/">
<!--To view this file, download Docear - The Academic Literature Suite from http://www.docear.org -->
<node TEXT="software" FOLDED="false" ID="ID_1519719259" CREATED="1608048027285" MODIFIED="1608048027287">
<hook NAME="AutomaticEdgeColor" COUNTER="2"/>
<hook NAME="MapStyle">
    <properties show_note_icons="true"/>

<map_styles>
<stylenode LOCALIZED_TEXT="styles.root_node">
<stylenode LOCALIZED_TEXT="styles.predefined" POSITION="right">
<stylenode LOCALIZED_TEXT="default" MAX_WIDTH="600" COLOR="#000000" STYLE="as_parent">
<font NAME="SansSerif" SIZE="10" BOLD="false" ITALIC="false"/>
</stylenode>
<stylenode LOCALIZED_TEXT="defaultstyle.details"/>
<stylenode LOCALIZED_TEXT="defaultstyle.note"/>
<stylenode LOCALIZED_TEXT="defaultstyle.floating">
<edge STYLE="hide_edge"/>
<cloud COLOR="#f0f0f0" SHAPE="ROUND_RECT"/>
</stylenode>
</stylenode>
<stylenode LOCALIZED_TEXT="styles.user-defined" POSITION="right">
<stylenode LOCALIZED_TEXT="styles.topic" COLOR="#18898b" STYLE="fork">
<font NAME="Liberation Sans" SIZE="10" BOLD="true"/>
</stylenode>
<stylenode LOCALIZED_TEXT="styles.subtopic" COLOR="#cc3300" STYLE="fork">
<font NAME="Liberation Sans" SIZE="10" BOLD="true"/>
</stylenode>
<stylenode LOCALIZED_TEXT="styles.subsubtopic" COLOR="#669900">
<font NAME="Liberation Sans" SIZE="10" BOLD="true"/>
</stylenode>
<stylenode LOCALIZED_TEXT="styles.important">
<icon BUILTIN="yes"/>
</stylenode>
</stylenode>
<stylenode LOCALIZED_TEXT="styles.AutomaticLayout" POSITION="right">
<stylenode LOCALIZED_TEXT="AutomaticLayout.level.root" COLOR="#000000">
<font SIZE="18"/>
</stylenode>
<stylenode LOCALIZED_TEXT="AutomaticLayout.level,1" COLOR="#0033ff">
<font SIZE="16"/>
</stylenode>
<stylenode LOCALIZED_TEXT="AutomaticLayout.level,2" COLOR="#00b439">
<font SIZE="14"/>
</stylenode>
<stylenode LOCALIZED_TEXT="AutomaticLayout.level,3" COLOR="#990000">
<font SIZE="12"/>
</stylenode>
<stylenode LOCALIZED_TEXT="AutomaticLayout.level,4" COLOR="#111111">
<font SIZE="10"/>
</stylenode>
</stylenode>
</stylenode>
</map_styles>
</hook>
<node TEXT="kafka" POSITION="left" ID="ID_192093959" CREATED="1609775168502" MODIFIED="1609775171366">
<edge COLOR="#7c007c"/>
</node>
<node TEXT="testing" POSITION="left" ID="ID_710339462" CREATED="1609775172038" MODIFIED="1642525449931" LINK="project://176655C65742CX71RRQ5NM3E52RRKIFI8ZG1/docs/technologies/java/tests/tests.md">
<edge COLOR="#007c7c"/>
<node TEXT="unitaires" ID="ID_946268508" CREATED="1642525458088" MODIFIED="1642525463439"/>
<node TEXT="int&#xe9;gration" ID="ID_924135648" CREATED="1642525464031" MODIFIED="1642525469060"/>
<node TEXT="fonctionnel" ID="ID_6127084" CREATED="1642525469419" MODIFIED="1642525530636">
<node TEXT="selenium" ID="ID_1397183283" CREATED="1608048353486" MODIFIED="1627746097952" MOVED="1608048373471"/>
<node TEXT="cucumber" ID="ID_317318992" CREATED="1608048357523" MODIFIED="1627746097958" MOVED="1608048373481"/>
</node>
</node>
<node TEXT="grafana" POSITION="left" ID="ID_571455144" CREATED="1609775208717" MODIFIED="1609775211693">
<edge COLOR="#7c7c00"/>
</node>
<node TEXT="Databases" POSITION="left" ID="ID_909735685" CREATED="1627746178811" MODIFIED="1627746184208">
<edge COLOR="#7c0000"/>
<node TEXT="SQL" ID="ID_1765637297" CREATED="1627746188011" MODIFIED="1627746189877"/>
<node TEXT="NoSQL" ID="ID_998350608" CREATED="1627746190342" MODIFIED="1627746194196">
<node TEXT="elastiksearch" ID="ID_682253809" CREATED="1609775212423" MODIFIED="1627746199461"/>
<node TEXT="casandra" ID="ID_304749215" CREATED="1627746200532" MODIFIED="1627746207449"/>
<node TEXT="mongoDB" ID="ID_1369492787" CREATED="1627746210447" MODIFIED="1627746225157"/>
</node>
</node>
<node TEXT="Container" POSITION="left" ID="ID_634736947" CREATED="1627746234656" MODIFIED="1627746237249">
<edge COLOR="#00007c"/>
<node TEXT="docker" ID="ID_910961097" CREATED="1627746241345" MODIFIED="1627746245937"/>
</node>
<node TEXT="middleware" POSITION="left" ID="ID_646588362" CREATED="1627746145629" MODIFIED="1627746150780">
<edge COLOR="#ffff00"/>
<node TEXT="BUS / ESB" ID="ID_765692750" CREATED="1609834070262" MODIFIED="1627746153122"/>
<node TEXT="hibernate" ID="ID_1619704967" CREATED="1627746154225" MODIFIED="1627746157832"/>
</node>
<node TEXT="IA" POSITION="left" ID="ID_619360999" CREATED="1609834534349" MODIFIED="1609834536310">
<edge COLOR="#00ff00"/>
<node TEXT="machine learning" ID="ID_1480948789" CREATED="1609834537729" MODIFIED="1627746135473"/>
<node TEXT="deep learning" ID="ID_888125694" CREATED="1609834544044" MODIFIED="1627746135477"/>
</node>
<node TEXT="Usine de dev" POSITION="right" ID="ID_1602351727" CREATED="1608046249570" MODIFIED="1608048064363" MOVED="1608048069816">
<edge COLOR="#ff00ff"/>
<node TEXT="Continuous Integration" ID="ID_642633321" CREATED="1608046249570" MODIFIED="1608048074973"/>
<node TEXT="Continuous Delivery" ID="ID_523617592" CREATED="1608046307696" MODIFIED="1608048074978"/>
<node TEXT="gitlab" ID="ID_274366985" CREATED="1608048325007" MODIFIED="1627746171537" MOVED="1608048373468"/>
<node TEXT="sonarCube" ID="ID_763527524" CREATED="1608048332320" MODIFIED="1627746171541" MOVED="1608048373469"/>
<node TEXT="jenkins" ID="ID_1050375051" CREATED="1608048339563" MODIFIED="1627746171545" MOVED="1608048373470"/>
</node>
<node TEXT="front-end" POSITION="right" ID="ID_986712343" CREATED="1627746287766" MODIFIED="1627746294985">
<edge COLOR="#7c007c"/>
<node TEXT="javascript" ID="ID_54756182" CREATED="1627746901723" MODIFIED="1627746905762"/>
<node TEXT="angular" ID="ID_1382572291" CREATED="1627746906760" MODIFIED="1627746910327"/>
<node TEXT="react.js" ID="ID_109494212" CREATED="1627746910791" MODIFIED="1627746916708"/>
<node TEXT="vue.js" ID="ID_511208965" CREATED="1627746916921" MODIFIED="1627746920625"/>
<node TEXT="typescript" ID="ID_475491658" CREATED="1627746920937" MODIFIED="1627746925726"/>
</node>
<node TEXT="back-end" POSITION="right" ID="ID_1075535081" CREATED="1627746295487" MODIFIED="1627746298808">
<edge COLOR="#007c7c"/>
<node TEXT="spring" ID="ID_1583195286" CREATED="1627746843173" MODIFIED="1627746849457"/>
<node TEXT="node.js" ID="ID_242809019" CREATED="1627746849914" MODIFIED="1627746856399"/>
<node TEXT="python on rail" ID="ID_181117197" CREATED="1627746856856" MODIFIED="1627746861741"/>
<node TEXT="python" ID="ID_1331314383" CREATED="1627746862429" MODIFIED="1627746864797"/>
<node TEXT="java 8/11" ID="ID_1474445476" CREATED="1627746891826" MODIFIED="1627746897433" MOVED="1627747020674">
<node TEXT="Spring" ID="ID_122893836" CREATED="1642363313031" MODIFIED="1642363475771" LINK="project://176655C65742CX71RRQ5NM3E52RRKIFI8ZG1/_data/176655C65742CX71RRQ5NM3E52RRKIFI8ZG1/My%20Drafts/engineering/software/java/spring/spring.mm"/>
</node>
<node TEXT="no code / low code" ID="ID_234660167" CREATED="1627747021997" MODIFIED="1627747028997"/>
<node TEXT="go" ID="ID_104688127" CREATED="1627746869640" MODIFIED="1627746872663" MOVED="1627747018588"/>
</node>
<node TEXT="CMS" POSITION="right" ID="ID_187722220" CREATED="1627746930618" MODIFIED="1627746932820">
<edge COLOR="#7c7c00"/>
<node TEXT="wordpress" ID="ID_160013976" CREATED="1627746934108" MODIFIED="1627746937162"/>
<node TEXT="pub" ID="ID_790019659" CREATED="1627746949501" MODIFIED="1627746952581"/>
<node TEXT="marque blanche" ID="ID_1959279360" CREATED="1627746952990" MODIFIED="1627746960676"/>
<node TEXT="moyens de paiments" ID="ID_277213461" CREATED="1627746961203" MODIFIED="1627746970143"/>
<node TEXT="mon&#xe9;tique" ID="ID_1222472213" CREATED="1627746970592" MODIFIED="1627746973024"/>
</node>
<node TEXT="cloud" POSITION="right" ID="ID_1467241500" CREATED="1627747075349" MODIFIED="1627747077444">
<edge COLOR="#ff0000"/>
<node TEXT="AWS" ID="ID_165210605" CREATED="1627747079793" MODIFIED="1664700424966" LINK="project://176655C65742CX71RRQ5NM3E52RRKIFI8ZG1/_data/176655C65742CX71RRQ5NM3E52RRKIFI8ZG1/My%20Drafts/engineering/cloud/aws/aws.mm"/>
<node TEXT="openshift" ID="ID_109420931" CREATED="1642525576295" MODIFIED="1642525579966"/>
</node>
<node TEXT="micro services" POSITION="right" ID="ID_1173029201" CREATED="1627755363515" MODIFIED="1627755370846">
<edge COLOR="#0000ff"/>
</node>
</node>
</map>
